Debian Bug report logs - #432772
[cross patch] dealing with lib64

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: "Hector Oron" <hector.oron@gmail.com>

Date: Wed, 11 Jul 2007 21:21:06 UTC

Severity: normal

Tags: moreinfo

Merged with 393841

Found in versions binutils/2.17-3, binutils/2.17cvs20070426-8

Done: Hector Oron <hector.oron@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#432772; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Hector Oron" <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Hector Oron" <hector.oron@gmail.com>
To: submit@bugs.debian.org
Subject: [cross patch] dealing with lib64
Date: Wed, 11 Jul 2007 23:18:51 +0200
[Message part 1 (text/plain, inline)]
Package: binutils
Version: 2.17cvs20070426-8
Patch


Hello,

To be able to build a cross gcc toolchain i have been applying this
patch latelly, it is updated to latest binutils version. I wonder if
this should be submitted binutils upstream.

diff -urN binutils-2.17/debian/patches/00list
binutils-2.17.aux/debian/patches/00list
--- binutils-2.17/debian/patches/00list	2006-10-18 02:40:38.000000000 +0000
+++ binutils-2.17.aux/debian/patches/00list	2006-10-18 02:34:33.000000000 +0000
@@ -12,3 +12,4 @@
305_pr4497
306_ld_demangler_segfault
307_pr4558
+999_lib64_for_cross
diff -urN binutils-2.17/debian/patches/999_lib64_for_cross.dpatch
binutils-2.17.aux/debian/patches/999_lib64_for_cross.dpatch
--- binutils-2.17/debian/patches/999_lib64_for_cross.dpatch	1970-01-01
00:00:00.000000000 +0000
+++ binutils-2.17.aux/debian/patches/999_lib64_for_cross.dpatch	2006-10-18
02:34:17.000000000 +0000
@@ -0,0 +1,56 @@
+#! /bin/sh -e
+## 999_lib64_for_cross.dpatch by Nikita Youshchenko <yoush@cs.msu.su>
+##
+## DP: Add /usr/${target-alias}/lib${LIBPATH_SUFFIX} to ld's default
+## DP: library search path for cross targets. Needed for cross targets that
+## DP: try to support both 32bit and 64bit emulations.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/nikita/debian/binutils/binutils-2.14.90.0.7.cross/ld/genscripts.sh
binutils-2.14.90.0.7.cross/ld/genscripts.sh
+--- /home/nikita/debian/binutils/binutils-2.14.90.0.7.cross/ld/genscripts.sh	2003-10-29
20:37:48.000000000 +0300
++++ binutils-2.14.90.0.7.cross/ld/genscripts.sh	2004-07-15
00:29:19.000000000 +0400
+@@ -179,6 +179,27 @@
+     *:: | ::*) LIB_PATH=${LIB_PATH}${LIB_PATH2} ;;
+     *) LIB_PATH=${LIB_PATH}:${LIB_PATH2} ;;
+   esac
++
++  # For multilib'ed targets, ensure both ${target_alias}/lib${LIBPATH_SUFFIX}
++  # and ${TOOL_LIB}/lib${LIBPATH_SUFFIX} to default search path, because
++  # 64bit libraries may be in both places, depending on cross-development
++  # setup method (e.g.: /usr/s390x-linux/lib64 vs /usr/s390-linux/lib64)
++  case "${LIBPATH_SUFFIX}:${tool_lib}" in
++    :*) ;;
++    *:*${LIBPATH_SUFFIX}) ;;
++    *)
++      paths="${exec_prefix}/${target_alias}/lib${LIBPATH_SUFFIX}"
++      if [ "${TOOL_LIB}" != x ]; then
++        paths="${paths} ${exec_prefix}/${TOOL_LIB}/lib${LIBPATH_SUFFIX}"
++      fi
++      for path in $paths; do
++        case :${LIB_PATH}: in
++          ::: | *:${path}:*) ;;
++          *) LIB_PATH=${path}:${LIB_PATH} ;;
++        esac
++      done
++    ;;
++  esac
+ fi
+
+ # Always search $(tooldir)/lib, aka /usr/local/TARGET/lib, except for

Regards

-- 
Héctor Orón
[binutils-cross-2.17.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#432772; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Hector Oron" <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #10 received at 432772@bugs.debian.org (full text, mbox):

From: "Hector Oron" <hector.oron@gmail.com>
To: 432772@bugs.debian.org
Subject: Re: Bug#432772: Acknowledgement ([cross patch] dealing with lib64)
Date: Wed, 11 Jul 2007 23:38:23 +0200
FYI, this patch comes from:
http://zigzag.lvk.cs.msu.su/~nikita/debian/cross-patches/binutils-cross-2.16.1cvs20051117-1.patch.20051208

-- 
Héctor Orón



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#432772; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #15 received at 432772@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: "Hector Oron" <hector.oron@gmail.com>, 432772@bugs.debian.org
Subject: Re: [cross patch] dealing with lib64
Date: Wed, 18 Jul 2007 17:10:04 +0200
Please update the patch so that it only gets applied when building as
a cross package.

Thanks, Matthias



Tags added: moreinfo Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 16:18:02 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 16:18:03 GMT) Full text and rfc822 format available.

Forcibly Merged 393841 432772. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 16:21:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 May 2010 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:12:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.